Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::EnvironmentList_out Class Reference

`#include <ImplRepoC.h>`

List of all members.

## Public Methods
| EnvironmentList_out (EnvironmentList *&)
| EnvironmentList_out (EnvironmentList_var &)
| EnvironmentList_out (const EnvironmentList_out &)
EnvironmentList_out & | operator= (const EnvironmentList_out &)
EnvironmentList_out & | operator= (EnvironmentList *)
| operator EnvironmentList *& ()
EnvironmentList *& | ptr (void)
EnvironmentList * | operator-> (void)
EnvironmentVariable & | operator[] (CORBA::ULong index)
## Private Methods
void | operator= (const EnvironmentList_var &)
## Private Attributes
EnvironmentList *& | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::EnvironmentList_out::EnvironmentList_out | ( | EnvironmentList *& |  | ) |

ImplementationRepository::EnvironmentList_out::EnvironmentList_out | ( | EnvironmentList_var & |  | ) |

ImplementationRepository::EnvironmentList_out::EnvironmentList_out | ( | const EnvironmentList_out & |  | ) |

## Member Function Documentation

ImplementationRepository::EnvironmentList_out::operator EnvironmentList *& | ( |  | ) |

EnvironmentList* ImplementationRepository::EnvironmentList_out::operator-> | ( | void |  | ) |

void ImplementationRepository::EnvironmentList_out::operator= | ( | const EnvironmentList_var & |  | ) | `[private]`

EnvironmentList_out& ImplementationRepository::EnvironmentList_out::operator= | ( | EnvironmentList * |  | ) |

EnvironmentList_out& ImplementationRepository::EnvironmentList_out::operator= | ( | const EnvironmentList_out & |  | ) |

EnvironmentVariable& ImplementationRepository::EnvironmentList_out::operator[] | ( | CORBA::ULong | index | ) |

EnvironmentList*& ImplementationRepository::EnvironmentList_out::ptr | ( | void |  | ) |

## Member Data Documentation

EnvironmentList*& ImplementationRepository::EnvironmentList_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h